%es 1 ASB 26/07/2010

imm1=imread('MRI_brain.tif');
imagesc(imm1);
colormap gray

[x,y]=ginput(2)
x=round(x); %possibile anche usare ceil o floor a seconda dei casi
y=round(y);

x1=min(x);
x2=max(x);
y1=min(y);
y2=max(y);

M=imm1(y1:y2,x1:x2); %notare che l'immagine viene visualizzata trasposta
%figure    %non richiesto
%imagesc(M);colormap gray

load mappa_esame.mat %contiene la variabile mappa

num_colori=size(mappa,1);

M=double(M);

M=(M-min(M(:)))/(max(M(:))-min(M(:)))*num_colori+1;
figure
image(M); colormap(mappa)
figure
imagesc(M);colormap(mappa)

medio_righe=mean(M,2);
std_righe=std(M,[],2);

medio_righe=repmat(medio_righe,1,size(M,2));
std_righe=repmat(std_righe,1,size(M,2));

M1=(M-medio_righe)./std_righe;

imm_RGB=repmat(imm1,[1 1 3]);

imwrite(imm_RGB,'immagine.tif','tiff')



