%es_2 ASB 26/07/2010

dati=load('regressione.mat');
x=dati.x;
y=dati.y;
X=[ones(length(x),1) x];

beta=X\y;

y_modello=X*beta;

figure
plot(x,y,'r*');
hold on
plot(x,y_modello,'k-');

errore=y-y_modello;
std_errore=std(errore);

num_intervalli=ceil(log2(length(x))+1);
edge=linspace(min(errore),max(errore),num_intervalli+1);
largh=edge(2)-edge(1);
centri=edge(1:end-1)+largh/2;
figure
isto=histc(errore,edge);
isto(end-1)=isto(end-1)+isto(end);
isto(end)=[];
bar(centri,isto,1)

pdf_err=isto/(length(x)*largh);

coeff_corr=corrcoef(x,y);
coeff_corr=coeff_corr(2)

err2=normrnd(0,std_errore/10,length(x),1); %errore con minore std dell'errore del modello

y2=X*beta+err2;

coeff_corr2=corrcoef(x,y2);
coeff_corr2=coeff_corr2(2)




    